Page MenuHomePhabricator

`text.trim is not a function` in node selenium tests blocking Wikibase CI; blocking test/merge in WB/WBL/WBMI/etc.
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2019, 11:27 AM
Lucas_Werkmeister_WMDE triaged this task as High priority.Mar 25 2019, 1:02 PM

Only seems to affect Wikibase as far as I can tell, so no ci-test-error yet (not shared). But I think a CI blocker for us is important enough to add to the Campsite board immediately.

This has been added 24 days ago https://github.com/wikimedia/oojs-ui/commit/4bb33dbb85157c30da556b5209c5451084617c9d#diff-84351ce5fc1cd154bd37dd9fe3d15422R155

Then mediawiki/core updated their OOJS dependency https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/core/+/6f7d145fdb6c2c2e52fcab10a6c4716cab43a41e
few times actually last two weeks.

I don't have time atm to find a fix, but a possible one is to update tests to use runner/browser that supports trim? might have time for it later today/tomorrow

Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 4:00 PM

I had only time to look into one failing test (fails locally too on master)

In GrammaticalFeatureListWidget.test.js two tests fail: I can preset selected values and I can preset selected values with labels.

According to https://github.com/wikimedia/oojs-ui/blob/master/src/widgets/MenuTagMultiselectWidget.js#L233 our tests either miss configuration allowArbitrary: true or we are missing to initialize the select widget menu properly. Though our code GrammaticalFeatureListWidget.js does not initialize with allowArbitrary and that config was *not* introduce recently.

Sorry I didn't have more time to continue on it

Jdforrester-WMF renamed this task from `text.trim is not a function` in node selenium tests blocking Wikibase CI to `text.trim is not a function` in node selenium tests blocking Wikibase CI; blocking test/merge in WB/WBL/WBMI/etc..Mar 25 2019, 10:34 PM
Lucas_Werkmeister_WMDE raised the priority of this task from High to Unbreak Now!.Mar 26 2019, 11:06 AM

shared CI blockers are UBN

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 26 2019, 11:06 AM

Change 499225 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/WikibaseLexeme@master] Update code to match new release of OOUI 0.31.1.

https://gerrit.wikimedia.org/r/499225

Change 499293 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] GrammaticalFeature: ensure pills are shown and have label

https://gerrit.wikimedia.org/r/499293

Change 499296 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Fix GrammaticalFeatureListWidget

https://gerrit.wikimedia.org/r/499296

Change 499225 abandoned by Alaa Sarhan:
Update code to match new release of OOUI 0.31.1.

https://gerrit.wikimedia.org/r/499225

Change 499293 abandoned by Pablo Grass (WMDE):
GrammaticalFeature: ensure pills are shown and have label

Reason:
All the goodness went into I9bef208815419a4a12791451d268214b54b4ceaf

https://gerrit.wikimedia.org/r/499293

We (@alaa_wmde @Jakob_WMDE @Pablo-WMDE) just merged https://gerrit.wikimedia.org/r/499296 (I9bef208815419a4a12791451d268214b54b4ceaf) which should fix this.

Change 499296 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Fix GrammaticalFeatureListWidget

https://gerrit.wikimedia.org/r/499296

Change 500237 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@wmf/1.33.0-wmf.23] Fix GrammaticalFeatureListWidget

https://gerrit.wikimedia.org/r/500237

Change 500237 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@wmf/1.33.0-wmf.23] Fix GrammaticalFeatureListWidget

https://gerrit.wikimedia.org/r/500237

Mentioned in SAL (#wikimedia-operations) [2019-04-01T11:57:54Z] <lucaswerkmeister-wmde@deploy1001> Synchronized php-1.33.0-wmf.23/extensions/WikibaseLexeme: SWAT: [[gerrit:500237|Fix GrammaticalFeatureListWidget (T219134, T219734)]] (duration: 01m 00s)